# Interface methods for submodule: DilateObjectMorphologyImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DilateObjectMorphologyImageFilter
class DilateObjectMorphologyImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetKernel(self, _arg: FlatStructuringElement) -> None:
		""""""
		...

	def GetKernel(self) -> FlatStructuringElement:
		""""""
		...

	@overload
	def GetObjectValue(self) -> float:
		""""""
		...

	@overload
	def GetObjectValue(self) -> int:
		""""""
		...

	@overload
	def SetObjectValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetObjectValue(self, _arg: int) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def OverrideBoundaryCondition(self, i) -> None:
		""""""
		...

	def ResetBoundaryCondition(self) -> None:
		""""""
		...

	def GetBoundaryCondition(self):
		""""""
		...

	def SetUseBoundaryCondition(self, _arg: bool) -> None:
		""""""
		...

	def GetUseBoundaryCondition(self) -> bool:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

